<?php

namespace AppBundle\Repository;

/**
 * GroupSubscriptionRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class GroupSubscriptionRepository extends \Doctrine\ORM\EntityRepository
{
    public function queryAll($group = null, $user = null)
    {
        $qb = $this->createQueryBuilder('s');

        if($group) {
            $qb->andWhere('s.group = :group')
                ->setParameter(':group', $group->getId());
        }

        if($user) {
            $qb->andWhere('s.subscriber = :user')
                ->setParameter(':user', $user->getId());
        }

        $qb->orderBy('s.createdAt', 'DESC');

        return $qb;
    }

    public function findGroupSubscription($group, $user)
    {
        $qb = $this->queryAll($group, $user);
        $res = $qb->getQuery()->getResult();

        if($res and count($res) > 0)
            return $res[0];

        return null;
    }
}
